@charset "utf-8";
/***************************************************************************************************************
(c) Copyright YA, 2021
    App
***************************************************************************************************************/

/*--------------------------------------------------------------------------------------------------------------
- Container
- Words
- Form
- Section
- Responsive
---------------------------------------------------------------------------------------------------------------*/

/*-- Container --*/
.root-container {
	display: flex;
	min-height: 100vh;
	width: 1400px;
	margin: auto;
	padding: 1.5rem 1rem;
}

.container {
	display: block;
	height: 100%;
	padding: var(--padding--block);
	background-color: #FFF;
	border-radius: var(--border-radius--default);
}

.container--left {
	width: 900px;
}

.container--right {
	width: 450px;
	margin-left: 50px;
}

.container__title,
.container__brief {
	margin-bottom: 2.5rem;
}

.container__wrapper {
	display: flex;
}

/*-- Words --*/
.words {
	display: flex;
	flex-direction: column;
	width: 50%;
}

.words__item {
	display: flex;
	align-items: center;
	height: 45px;
	margin-bottom: 1rem;
}

.words__item__num {
	margin-right: 1rem;
	padding: .3rem .5rem;
	border-radius: var(--border-radius--mini);
}

.words__item[data-word-invalid=false] .words__item__num {
	background-color: var(--background--user);
}

.words__item[data-word-invalid=true] .words__item__num {
	color: #FFF;
	background-color: var(--error);
}

.words__item[data-word-invalid=true] .words__item__text {
	color: var(--error);
}

.words__item--computer .words__item__num {
	background-color: var(--background--computer);
}

/*-- Form --*/
.form {
	display: flex;
}

.form__input {
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}

.form__btn {
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}

/*-- Section --*/
.section {
	display: flex;
	flex-direction: column;
}

.section:not(:last-child) {
	margin-bottom: 2rem;
}

.section__title {
	position: relative;
}

.section__title::after {
	content: '';
	position: absolute;
	width: 100%;
	height: 1px;
	left: 0;
	bottom: -.6rem;
	background-color: #AFAFAF;
}

.section__paragraph {

}

.section__list {
	list-style: disc;
	padding-left: 1rem;
	margin-bottom: 1rem;
}

/*-- Responsive --*/
@media screen and (max-width: 899px) {
	.root-container {
		flex-direction: column;
		width: 100vw;
		padding: 0;
	}
	
	.container {
		width: 100%;
		padding: 1rem;
	}
	
	.container--left {
		order: 2;
		border-bottom-right-radius: 0;
		border-bottom-left-radius: 0;
	}
	
	.container--right {
		order: 1;
		border-top-right-radius: 0;
		border-top-left-radius: 0;
		margin-left: 0;
		margin-bottom: 2rem;
	}
}